<?php

class ProdutoRelacionado extends UtilObjeto {

    public function __construct($params = "") {
        parent::__construct(strtolower(get_class()), $params);
    }

    public static function listar($filtro = "") {
        global $db;
        $sql = "SELECT       p.*, pr.id idRel, c.nome categoria, pi.imagem
                    FROM        rz2_produto p
                    JOIN          rz2_produto_relacionado pr
                    ON             p.id = pr.id_produto_rel
                    LEFT JOIN   rz2_produto_imagem pi
                    ON             p.id = pi.id_produto
                    AND           pi.principal = 's'
                    JOIN           rz2_produto_categoria pc
                    ON             p.id = pc.id_produto
                    AND           pc.principal = 's'
                    JOIN           rz2_categoria c
                    ON             pc.id_categoria = c.id
                    " . $filtro;
        // exit($sql);
        $rs = executaSql($sql);
        $arrLista = array();
        while ($rg = $rs->fetchRow()) {
            foreach ($rg as $campo => $valor) {
                $arrLista[$rg['id']][$campo] = $valor;
            }
        }
        return (count($arrLista) > 0) ? $arrLista : false;
    }
    
    public static function listarRelacionado($filtro = "") {
        global $db;
        $sql = "SELECT       pr.*
                    FROM        rz2_produto_relacionado pr
                    JOIN          rz2_produto p
                    ON            pr.id_produto_rel = p.id
                    WHERE      pr.id_produto = '".$filtro."' 
                    AND          p.ativo = 's'
                    AND         p.qtde > 0";
        // exit($sql);
        $rs = executaSql($sql);
        $arrLista = array();
        while ($rg = $rs->fetchRow()) {
            foreach ($rg as $campo => $valor) {
                $arrLista[$rg['id']][$campo] = $valor;
            }
        }
        return (count($arrLista) > 0) ? $arrLista : false;
    }

    public function excluir() {
        if (parent::excluir()) {
            @unlink(PATHPRODUTO . $this->imagem);
            return true;
        } else {
            return false;
        }
    }

}

?>